Users

Get current user profile

GET
/api/user/profile

Returns the authenticated user profile, including organization, role, persona, automations, and other settings.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/user/profile"
{  "user": {    "_id": "64ee9a8b1e7f2a0011223399",    "fullName": "Alex Rep",    "email": "alex@acme.example",    "accessRole": "DEPARTMENT_HEAD",    "organizationId": "64ee9a8b1e7f2a0011223344"  },  "persona": {    "_id": "64eea1110000000000000040",    "organization": "Acme Corp",    "timezone": "America/Toronto"  }}